Loading...
Searching...
No Matches
create_ibfs_from_chopper_pack.cpp File Reference

Implements raptor::hibf::create_ibfs_from_chopper_pack. More...

`#include <lemon/list_graph.h>`
`#include <raptor/build/hibf/create_ibfs_from_chopper_pack.hpp>`
`#include <raptor/build/hibf/hierarchical_build.hpp>`
`#include <raptor/build/hibf/read_chopper_pack_file.hpp>`

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
void | raptor::hibf::create_ibfs_from_chopper_pack (build_data< data_layout_mode > &data, build_arguments const &arguments)
template void | raptor::hibf::create_ibfs_from_chopper_pack< seqan3::data_layout::compressed > (build_data< seqan3::data_layout::compressed > &, build_arguments const &arguments)
template void | raptor::hibf::create_ibfs_from_chopper_pack< seqan3::data_layout::uncompressed > (build_data< seqan3::data_layout::uncompressed > &, build_arguments const &)

## Detailed Description

Implements raptor::hibf::create_ibfs_from_chopper_pack.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>